Author Topic: japi compile  (Read 17720 times)

RONB

  • Guest
japi compile
« on: August 13, 2011, 10:41:24 pm »
I was going try a japi compile for my ubutuntu 11.
I installed scriba-v2.1.1_i386.deb and there is no scriptbasic directory with all the needed files.
Will the the scriptbasic directory and files from SB_2.1_RC1_Linux be ok to use with the scriba-v2.1.1_i386.deb install?

http://www.japi.de/

thanks


Support

  • Administrator
  • *****
  • Posts: 1
    • View Profile
Re: japi compile
« Reply #1 on: August 14, 2011, 02:02:56 am »
I think the japi extension module was done by one of Peter Verhas's students long ago. I would like to see it work. If you need help with the SB extension module API, just post something here.


Support

  • Administrator
  • *****
  • Posts: 1
    • View Profile
Re: japi compile
« Reply #2 on: August 17, 2011, 12:09:39 am »
Please post some screen shots & code when you have something to show.


Support

  • Administrator
  • *****
  • Posts: 1
    • View Profile
Re: japi compile
« Reply #3 on: August 17, 2011, 04:01:20 am »
My mistake. I thought you had a GUI going with the X11 and font question.

IMPORT - Includes the file/module/...  only once.

INCLUDE - Includes the file/module/... explicitly at the point of the INCLUDE statement.

Note: If INCLUDE starts a line, it will execute even if it's wrapped in a IF/THEN structure. It one of those brute force kind of keywords.

 

Support

  • Administrator
  • *****
  • Posts: 1
    • View Profile
Re: japi compile
« Reply #4 on: August 18, 2011, 01:46:34 am »
Ron,

That's great news you were able to revive this extension to SB. I have attached the scriba examples and images from the JAPI site and put it in a zip for those wishing to join you on your adventure. Personally I have no interest in Java and the Windows 2000 looking GUI. (Latest Version: 26 Feb 2003 - V1.0.6)  This could be the reason it never got off the ground as an extension module for ScriptBasic. (project abandoned ?)

I'm happy with using GTK-Server and the GNOME Gtk API.

John
« Last Edit: August 22, 2011, 07:02:35 am by support »